Skip to navigation

Update Blog Post

Updates a Blog Post.

Notes

  • To include published_date in a request, provide a flat date string (not an object) in valid RFC 2822. The following example request includes a published_date in RFC 2822 format.

  • Blog posts default to draft status. To publish blog posts to the storefront, set the is_published property to true.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

idintegerRequired
ID of the blog post.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
titlestringRequired
Title of this blog post.
bodystringRequired
Text body of the blog post.
urlstringOptional
URL for the public blog post.
tagslist of stringsOptional
Tags to characterize the blog post.
is_publishedbooleanOptionalDefaults to false
Whether the blog post is published. If you want the post to be or remain published following the request, you must set the field explicitly to true, even if the blog post was already published prior to the request.
meta_descriptionstringOptional

Description text for this blog post’s <meta/> element.

meta_keywordsstringOptional

Keywords for this blog post’s <meta/> element.

authorstringOptional

Name of the blog post’s author.

thumbnail_pathstringOptional

Local path to a thumbnail uploaded to /product_images/ using WebDAV.

published_datestringOptional

Response

OK
titlestringOptional
Title of this blog post.
urlstringOptional
URL for the public blog post.
preview_urlstringOptionalRead-only

URL to preview the blog post. READ-ONLY.

bodystringOptional
Text body of the blog post.
tagslist of stringsOptional
Tags to characterize the blog post.
summarystringOptionalRead-only

Summary of the blog post. READ-ONLY.

is_publishedbooleanOptionalDefaults to false
Whether the blog post is published. If you want the post to be or remain published following the request, you must set the field explicitly to true, even if the blog post was already published prior to the request.
published_dateobjectOptional
published_date_iso8601stringOptional

Published date in ISO 8601 format.

meta_descriptionstring or nullOptional

Description text for this blog post’s <meta/> element.

meta_keywordsstring or nullOptional

Keywords for this blog post’s <meta/> element.

authorstring or nullOptional

Name of the blog post’s author.

thumbnail_pathstring or nullOptional

Local path to a thumbnail uploaded to /product_images/ using WebDAV.